package com.steerinfo.appservice.apppretrackscale.service;

import com.steerinfo.appservice.apppretrackscale.model.AppPreTrackScale;
import com.steerinfo.appservice.dto.AppPreTrackScaleDto;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.pretrack.pretracknotice.model.PreTrackNotice;
import com.steerinfo.pretrack.pretrackscale.model.PreTrackScale;

import java.util.HashMap;
import java.util.List;

/**
 * PreTrackScale服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-20 09:26
 * 类描述
 * 修订历史：
 * 日期：2020-10-20
 * 作者：generator
 * 参考：
 * 描述：PreTrackScale服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAppPreTrackScaleService extends IBaseService<AppPreTrackScale, String>{
    PageList<AppPreTrackScale> doQueryApp(HashMap parmas,Integer pageNum, Integer pageSize);

    PageList<AppPreTrackScale> doQueryAppByCar(HashMap parmas, Integer pageNum, Integer pageSize);

    MeterWorkCarActualFirst scanAndDecryptFrist(String str, String str1);

    MeterWorkCarActual scanAndDecryptActual(String str, String str1);

    PreTrackScale addByNotice(PreTrackScale model);

    PreTrackScale allocationApp(PreTrackScale model) ;

    PageList<PreTrackNotice> doQueryNoticeApp(HashMap parmas, Integer pageNum, Integer pageSize);

    /**
     * 通过预报：创建接口
     * @param model
     * @return
     */
    PreTrackScale addFroInterface(AppPreTrackScaleDto model);

    /**
     * 通过预报接口，添加车辆、车辆及供应商匹配表、物料、收货单位、发货单位基础信息
     * @param model
     * @return
     */
    AppPreTrackScaleDto addBaseFroInterface(AppPreTrackScaleDto model);

    /**
     * 非计量进出厂
     * @param model
     * @param str
     * @return
     */
    String noMeterDoor(PreTrackScale model, String str);
}